Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.conf
Interface PropertyConverter

All Known Implementing Classes:
  PropertyConverters.BindInterface, PropertyConverters.Default, PropertyConverters.FlushInvoker, PropertyConverters.InitialHosts, PropertyConverters.InitialHosts2, PropertyConverters.LongArray, PropertyConverters.NetworkInterfaceList

    public interface PropertyConverter

Represents a property converter that takes an input from corresponding field in JGroups properties file as a String and converts it to a matching Java type.

Author:
  Vladimir Blagojevic
See Also:
  `PropertyConverters`, `Property`

Method Summary
`java.lang.Object` | `convert(java.lang.Object obj, java.lang.Class<?> propertyFieldType, java.lang.String propertyName, java.lang.String propertyValue, boolean check_scope)`
`java.lang.String` | `toString(java.lang.Object value)` Converts the value to a string.

Method Detail

### convert

    java.lang.Object convert(java.lang.Object obj,
                             java.lang.Class<?> propertyFieldType,
                             java.lang.String propertyName,
                             java.lang.String propertyValue,
                             boolean check_scope)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### toString

    java.lang.String toString(java.lang.Object value)

  Converts the value to a string. The default is to simply invoke Object.toString(), however, some objects need to be printed specially, e.g. a long array etc.

  Parameters:
    `value` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.